## scalasca 1.4.3

=== Makefile ===
SHELL=/bin/sh

all:
	@case `ls -d build-* 2> /dev/null | wc -l | sed -e 's/[^0-9]//g'` in \
	  0) echo "ERROR: No build configuration found. Run configure first." \
	     ;; \
	  1) cd build-*; ${MAKE} all \
	     ;; \
	  *) if [ -n "${CFG}" -a -d build-${CFG} ]; then \
	        cd build-${CFG}; ${MAKE} all; \
	     else \
	        echo "ERROR: Select build configuration via CFG= out of"; \
	        ls -d1 build-* | sed -e 's/build-/* /' ; \
	        exit 1 ; \
	     fi ;; \
	esac

install:
	@case `ls -d build-* 2> /dev/null | wc -l | sed -e 's/[^0-9]//g'` in \
	  0) echo "ERROR: No build configuration found. Run configure first." \
	     ;; \
	  1) cd build-*; ${MAKE} install \
	     ;; \
	  *) if [ -n "${CFG}" -a -d build-${CFG} ]; then \
	        cd build-${CFG}; ${MAKE} install; \
	     else \
	        echo "ERROR: Select build configuration via CFG= out of"; \
	        ls -d1 build-* | sed -e 's/build-/* /' ; \
	        exit 1 ; \
	     fi ;; \
	esac

clean:
	@case `ls -d build-* 2> /dev/null | wc -l | sed -e 's/[^0-9]//g'` in \
	  0) echo "ERROR: No build configuration found. Run configure first." \
	     ;; \
	  1) cd build-*; ${MAKE} clean \
	     ;; \
	  *) if [ -n "${CFG}" -a -d build-${CFG} ]; then \
	        cd build-${CFG}; ${MAKE} clean; \
	     else \
	        echo "ERROR: Select build configuration via CFG= out of"; \
	        ls -d1 build-* | sed -e 's/build-/* /' ; \
	        exit 1 ; \
	     fi ;; \
	esac

=== clc/Makefile ===
#------------------------------------------------------------------------------
# General Settings
#------------------------------------------------------------------------------

TOPDIR = ..

include $(TOPDIR)/Makefile.defs
include $(TOPDIR)/mf/common.defs

.PHONY: all install clean


# Submodules
MODULES = src    


#------------------------------------------------------------------------------
# Rules
#------------------------------------------------------------------------------

all:
	@echo
	@echo "************************************************************"
	@echo "*                       Building CLC                       *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) all ) || exit ; \
			echo ; \
		fi \
	done

install:
	@echo
	@echo "************************************************************"
	@echo "*                      Installing CLC                      *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) install ) || exit ; \
			echo ; \
		fi \
	done

clean:
	@echo
	@echo "************************************************************"
	@echo "*                       Cleaning CLC                       *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) clean ) || exit ; \
			echo ; \
		fi \
	done

=== cube-3.0/Makefile ===
#------------------------------------------------------------------------------
# General Settings
#------------------------------------------------------------------------------

TOPDIR = .
DOC_OUTPUT = $(TOPDIR)/doc

include $(TOPDIR)/Makefile.defs
include $(TOPDIR)/mf/common.defs

.PHONY: all install clean distclean doc


# Submodules
MODULES = \
	utils/stats \
	src/cube \
	src/cubew \
        src/tools \
	$(CUBE_TARGETS)


#------------------------------------------------------------------------------
# Rules
#------------------------------------------------------------------------------

all:
	@echo
	@echo "************************************************************"
	@echo "*                      Building CUBE3                      *"
	@echo "************************************************************"
	@for dir in $(MODULES)""; do \
		if test -d "$$dir"; then \
			echo "" ; \
			echo "---------- $$dir ----------" ; \
			echo "" ; \
			( cd $$dir && $(MAKE) all ) || exit ; \
		fi \
	done

install:
	@echo
	@echo "************************************************************"
	@echo "*                     Installing CUBE3                     *"
	@echo "************************************************************"
	@for dir in $(MODULES)""; do \
		if test -d "$$dir"; then \
			echo "" ; \
			echo "---------- $$dir ----------" ; \
			echo "" ; \
			( cd $$dir && $(MAKE) install ) || exit ; \
		fi \
	done
	@if test -f $(PREFIX)/bin/cube3-qt; then \
		ln -f -s $(PREFIX)/bin/cube3-qt $(PREFIX)/bin/cube3 ; \
	elif test -f $(PREFIX)/bin/cube3-wx; then \
		ln -f -s $(PREFIX)/bin/cube3-wx $(PREFIX)/bin/cube3 ; \
	fi
	$(MKDIR) -m 755 $(DOCDIR)/manuals
	$(INSTALL) -c -m 644 doc/CubeInstall.pdf $(DOCDIR)/manuals
	if test -f doc/example.cube.gz; then \
		$(INSTALL) -c -m 644 doc/example.cube.gz $(DOCDIR) ; \
	fi

clean:
	@echo
	@echo "************************************************************"
	@echo "*                      Cleaning CUBE3                      *"
	@echo "************************************************************"
	@for dir in $(MODULES)""; do \
		if test -d "$$dir"; then \
			echo "" ;\
			echo "---------- $$dir ----------" ; \
			echo "" ; \
			( cd $$dir && $(MAKE) clean ) || exit ; \
		fi \
	done
	@if test -f doc/Makefile; then ( cd doc; $(MAKE) clean; ) fi

distclean: clean
	rm -f configure.log Makefile.defs qt.pro.defs

doc:
	@echo
	@echo "************************************************************"
	@echo "*              Generating CUBE documentation               *"
	@echo "************************************************************"
	@echo
	-mkdir -p $(DOC_OUTPUT)/tags
	-mkdir -p $(DOC_OUTPUT)/cubew/html
	-cp doc/logo_small.png $(DOC_OUTPUT)/cubew/html/
	OUTPUT="$(DOC_OUTPUT)/cubew" CUBEVER="$(CUBEVER)" doxygen doc/doxygen-cubew.conf
	-mkdir -p $(DOC_OUTPUT)/cube/html
	-cp doc/logo_small.png $(DOC_OUTPUT)/cube/html/
	OUTPUT="$(DOC_OUTPUT)/cube" CUBEVER="$(CUBEVER)" doxygen doc/doxygen-cube.conf
	-mkdir -p $(DOC_OUTPUT)/cube-guiqt/html
	-cp doc/logo_small.png $(DOC_OUTPUT)/cube-guiqt/html/
	OUTPUT="$(DOC_OUTPUT)/cube-guiqt" CUBEVER="$(CUBEVER)" doxygen doc/doxygen-guiqt.conf

#	OUTPUT="$(DOC_OUTPUT)" doxygen tools.doxygen
#	OUTPUT="$(DOC_OUTPUT)" doxygen GUI-wx.doxygen

=== epik/Makefile ===
#------------------------------------------------------------------------------
# General Settings
#------------------------------------------------------------------------------

TOPDIR     = ..
DOC_OUTPUT = $(TOPDIR)/doc/epik

include $(TOPDIR)/Makefile.defs
include $(TOPDIR)/mf/common.defs

.PHONY: all install clean doc


# Submodules
MODULES = config inst/kinst doc utils \
	  adapter/POMP2 adapter/MPI adapter/compiler \
	  episode epilog/base epilog/rts epilog/tools \
	  epi-otf/rts epi-otf/tools 



#------------------------------------------------------------------------------
# Rules
#------------------------------------------------------------------------------

all:
	@echo ""
	@echo "************************************************************"
	@echo "*                      Building EPIK                       *"
	@echo "************************************************************"
	@for dir in $(MODULES)""; do \
		if test -d "$$dir"; then \
			echo "" ; \
			echo "---------- $$dir ----------" ; \
			echo "" ; \
			( cd $$dir && $(MAKE) all ) || exit ; \
		fi \
	done

install:
	@echo ""
	@echo "************************************************************"
	@echo "*                     Installing EPIK                      *"
	@echo "************************************************************"
	$(MKDIR) -m 755 $(BINDIR) $(LIBDIR) $(INCDIR) $(DOCDIR)
	@for dir in $(MODULES)""; do \
		if test -d "$$dir"; then \
			echo "" ; \
			echo "---------- $$dir ----------" ; \
			echo "" ; \
			( cd $$dir && $(MAKE) install ) || exit ; \
		fi \
	done

clean:
	@echo ""
	@echo "************************************************************"
	@echo "*                      Cleaning EPIK                       *"
	@echo "************************************************************"
	@for dir in $(MODULES)""; do \
		if test -d "$$dir"; then \
			echo "" ; \
			echo "---------- $$dir ----------" ; \
			echo "" ; \
			( cd $$dir && $(MAKE) clean ) || exit ; \
		fi \
	done

doc:
	@echo ""
	@echo "************************************************************"
	@echo "*              Generating EPIK documentation               *"
	@echo "************************************************************"
	@echo ""
	-mkdir -p $(DOC_OUTPUT)/pdf
	-mkdir -p $(DOC_OUTPUT)/html
	-cp doc/logo.pdf $(DOC_OUTPUT)/pdf/
	-cp doc/logo_small.png $(DOC_OUTPUT)/html/
	OUTPUT="$(DOC_OUTPUT)" doxygen doc/doxygen.conf

=== example/Makefile ===
include Makefile.defs


# -- Default instrumentation of routines by compiler
PREP      = scalasca -instrument
# build without any instrumentation
#PREP	  = scalasca -instrument -mode=none

# -- Manual EPIK instrumentation (only)
PREP_EPIK = $(PREP) -user -comp=none

# -- Manual POMP instrumentation (only)
PREP_POMP = $(PREP) -pomp -comp=none

# -- Automatic PDT instrumentation (needs PDToolkit)
PREP_PDT  = $(PREP) -pdt -comp=none

# -- Support for explicit instrumentation
ECONFFLAG  = -DEPIK
VCONFFLAG  = -DVT_INST
CONFLIB   = `kconfig --mpi --$(PREC) --libs`
FECONFFLAG = $(FDOPT)EPIK
FVCONFFLAG = $(FDOPT)VT_INST
FCONFLIB  = `kconfig --for --mpi --$(PREC) --libs`


ifdef MPICC
    MCC = $(MPICC) $(PFLAG)
else
    MCC = -mode=none echo NO_MPICC
endif
ifdef MPIF90
    MF90 = $(MPIF90) $(PFLAG) $(FPP)
else
    MF90 = -mode=none echo NO_MPIF90
endif
ifdef HYBCC
    HCC = $(HYBCC) $(PFLAG) $(OMPFLAG) -DOPENMP
else
    HCC = -mode=none echo NO_HYBCC
endif
ifdef HYBF90
    HF90 = $(HYBF90) $(PFLAG) $(OMPFLAG) $(FPP) $(FDOPT)OPENMP
else
    HF90 = -mode=none echo NO_HYBF90
endif

# -- MPI test cases
MCPROGS   = ctest-mpi ftest-mpi
MPPROGS   = ctest-pomp-mpi ftest-pomp-mpi
MEPROGS   = ctest-epik-mpi ftest-epik-mpi
MOPROGS   = ctest-elg-mpi ftest-elg-mpi
MTPROGS   = ctest-pdt-mpi ftest-pdt-mpi
MVPROGS   = ctest-vt-mpi ftest-vt-mpi
MXPROGS   = ctest-xt-mpi ftest-xt-mpi

# -- Hybrid test cases (MPI/OpenMP)
HCPROGS   = ctest-hyb ftest-hyb
HPPROGS   = ctest-pomp-hyb ftest-pomp-hyb
#HEPROGS   = ctest-epik-hyb ftest-epik-hyb
#HOPROGS   = ctest-elg-hyb ftest-elg-hyb
HTPROGS   = ctest-pdt-hyb ftest-pdt-hyb
#HVPROGS   = ctest-vt-hyb ftest-vt-hyb
HXPROGS   = ctest-xt-hyb ftest-xt-hyb

# -- Required with and without instrumentation
CONFINC   = `kconfig --$(PREC) --cflags`
FCONFINC  = `kconfig --for --$(PREC) --cflags`


# -- Rules --
all: auto-progs pomp-progs epik-progs elg-progs pdt-progs

clean:
	rm -rf core a.* *.o
	rm -f *.inc *.mod.* opari.* *.tau.* *.pdb
	rm -f pompregions_*
	rm -f $(MCPROGS) $(MPPROGS) $(MEPROGS) $(MOPROGS) $(MVPROGS) \
              $(MXPROGS) $(MTPROGS)
	rm -f $(HCPROGS) $(HPPROGS) $(HEPROGS) $(HOPROGS) $(HVPROGS) \
              $(HXPROGS) $(HTPROGS)

auto-progs:
	$(MAKE) $(MCPROGS)
	@if test "$(OMPFLAG)" = "-OpenMPnotAvailable"; then \
		echo "INFO: Skipping hybrid auto-progs"; \
	else \
		echo $(MAKE) $(HCPROGS); \
		eval $(MAKE) $(HCPROGS); \
	fi
pomp-progs:
	$(MAKE) $(MPPROGS)
	@if test "$(OMPFLAG)" = "-OpenMPnotAvailable"; then \
		echo "INFO: Skipping hybrid pomp-progs"; \
	else \
		echo $(MAKE) $(HPPROGS); \
		eval $(MAKE) $(HPPROGS); \
	fi
epik-progs:
	$(MAKE) $(MEPROGS)
# Skip hybrid, since no EPIK instrumentation in OpenMP part
	@echo "INFO: Skipping hybrid epik-progs"
elg-progs:
	$(MAKE) $(MOPROGS)
# Skip hybrid, since no ELG instrumentation in OpenMP part
	@echo "INFO: Skipping hybrid elg-progs"
vt-progs:
	$(MAKE) $(MVPROGS)
# Skip hybrid, since no VT instrumentation in OpenMP part
	@echo "INFO: Skipping hybrid vt-progs"
xt-progs:
	$(MAKE) $(MXPROGS)
	@if test "$(OMPFLAG)" = "-OpenMPnotAvailable"; then \
		echo "INFO: Skipping hybrid xt-progs"; \
	else \
		echo $(MAKE) $(HXPROGS); \
		eval $(MAKE) $(HXPROGS); \
	fi
pdt-progs:
	@if test `kinst -pdt | grep -c "not supported"` -eq 0; then \
		$(MAKE) real-pdt-progs; \
	else \
		echo "INFO: Skipping pdt-progs"; \
	fi
real-pdt-progs:
	$(MAKE) $(MTPROGS)
	@if test "$(OMPFLAG)" = "-OpenMPnotAvailable"; then \
		echo "INFO: Skipping hybrid pdt-progs"; \
	else \
		echo $(MAKE) $(HTPROGS); \
		eval $(MAKE) $(HTPROGS); \
	fi


# -- Build rules / Automatic compiler instrumentation --
ctest-mpi: ctest.c
	$(PREP) $(MCC) ctest.c -o ctest-mpi $(MPILIB)

ftest-mpi: ftest.F90
	$(PREP) $(MF90) ftest.F90 -o ftest-mpi $(MPILIB)

ctest-hyb: ctest.c
	$(PREP) $(HCC) ctest.c -o ctest-hyb $(MPILIB)

ftest-hyb: ftest.F90
	$(PREP) $(HF90) ftest.F90 -o ftest-hyb $(MPILIB)


# -- Build rules / Automatic compiler instrumentation --
# -- (separate compile and link) --
ctest-xt-mpi: ctest.c
	$(PREP) $(MCC) ctest.c -c
	$(PREP) $(MCC) ctest.o -o ctest-xt-mpi $(MPILIB)

ftest-xt-mpi: ftest.F90
	$(PREP) $(MF90) ftest.F90 -c
	$(PREP) $(MF90) ftest.o -o ftest-xt-mpi $(MPILIB)

ctest-xt-hyb: ctest.c
	$(PREP) $(HCC) ctest.c -c
	$(PREP) $(HCC) ctest.o -o ctest-xt-hyb $(MPILIB)

ftest-xt-hyb: ftest.F90
	$(PREP) $(HF90) ftest.F90 -c
	$(PREP) $(HF90) ftest.o -o ftest-xt-hyb $(MPILIB)


# -- Build rules / Manual POMP instrumentation --
ctest-pomp-mpi: ctest-pomp.c
	$(PREP_POMP) $(MCC) ctest-pomp.c -o ctest-pomp-mpi $(MPILIB)

ftest-pomp-mpi: ftest-pomp.F90
	$(PREP_POMP) $(MF90) ftest-pomp.F90 -o ftest-pomp-mpi $(MPILIB)

ctest-pomp-hyb: ctest-pomp.c
	$(PREP_POMP) $(HCC) ctest-pomp.c -o ctest-pomp-hyb $(MPILIB)

ftest-pomp-hyb: ftest-pomp.F90
	$(PREP_POMP) $(HF90) ftest-pomp.F90 -o ftest-pomp-hyb $(MPILIB)


# -- Build rules / Manual EPIK instrumentation --
ctest-epik-mpi: ctest-epik.c
	$(MCC) $(ECONFFLAG) $(CONFINC) ctest-epik.c \
		-o ctest-epik-mpi $(CONFLIB) $(MPILIB)

ftest-epik-mpi: ftest-epik.F90
	$(MF90) $(FECONFFLAG) $(FCONFINC) ftest-epik.F90 \
		-o ftest-epik-mpi $(FCONFLIB) $(MPILIB)

ctest-epik-hyb: ctest-epik.c
	$(PREP_EPIK) $(HCC) ctest-epik.c -o ctest-epik-hyb $(MPILIB)

ftest-epik-hyb: ftest-epik.F90
	$(PREP_EPIK) $(HF90) ftest-epik.F90 -o ftest-epik-hyb $(MPILIB)

# -- Build rules / Manual ELG instrumentation --
ctest-elg-mpi: ctest-elg.c
	$(MCC) -DEPILOG $(CONFINC) ctest-elg.c \
		-o ctest-elg-mpi $(CONFLIB) $(MPILIB)

ftest-elg-mpi: ftest-elg.F90
	$(MF90) $(FDOPT)EPILOG $(FCONFINC) ftest-elg.F90 \
		-o ftest-elg-mpi $(FCONFLIB) $(MPILIB)

# -- Build rules / VampirTrace instrumentation --
ctest-vt-mpi: ctest-vt.c
	$(MCC) $(VCONFFLAG) $(CONFINC) ctest-vt.c \
		-o ctest-vt-mpi $(CONFLIB) $(MPILIB)

ftest-vt-mpi: ftest-vt.F90
	$(MF90) $(FVCONFFLAG) $(FCONFINC) ftest-vt.F90 \
		-o ftest-vt-mpi $(FCONFLIB) $(MPILIB)

# -- Build rules / PDT instrumentation --
ctest-pdt-mpi: ctest.c
	$(PREP_PDT) $(MCC) ctest.c -o ctest-pdt-mpi $(MPILIB)

ftest-pdt-mpi: ftest.F90
	$(PREP_PDT) $(MF90) ftest.F90 -o ftest-pdt-mpi $(MPILIB)

ctest-pdt-hyb: ctest.c
	$(PREP_PDT) $(HCC) ctest.c -o ctest-pdt-hyb $(MPILIB)

ftest-pdt-hyb: ftest.F90
	$(PREP_PDT) $(HF90) ftest.F90 -o ftest-pdt-hyb $(MPILIB)

=== pearl/Makefile ===
#------------------------------------------------------------------------------
# General Settings
#------------------------------------------------------------------------------

TOPDIR     = ..
DOC_OUTPUT = $(TOPDIR)/doc/pearl

include $(TOPDIR)/Makefile.defs
include $(TOPDIR)/mf/common.defs

.PHONY: all install clean doc


# Submodules
# Assumption: If HYBCXX is set, OMPCXX and MPICXX are set as well
MODULES = base
ifneq ($(OMPCXX),)
  MODULES += OMP
endif
ifneq ($(MPICXX),)
  MODULES += MPI
endif
ifneq ($(HYBCXX),)
  MODULES += hybrid
endif
ifneq ($(MPICXX)$(HYBCXX),)
  MODULES += writer
endif
MODULES += replay
MODULES += example


#------------------------------------------------------------------------------
# Rules
#------------------------------------------------------------------------------

all:
	@echo
	@echo "************************************************************"
	@echo "*                      Building PEARL                      *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) all ) || exit ; \
			echo ; \
		fi \
	 done

install:
	@echo
	@echo "************************************************************"
	@echo "*                     Installing PEARL                     *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) install ) || exit ; \
			echo ; \
		fi \
	 done

clean:
	@echo
	@echo "************************************************************"
	@echo "*                      Cleaning PEARL                      *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) clean ) || exit ; \
			echo ;\
		fi \
	 done

doc:
	@echo
	@echo "************************************************************"
	@echo "*              Generating PEARL documentation              *"
	@echo "************************************************************"
	@echo
	-mkdir -p $(DOC_OUTPUT)/../tags
	-mkdir -p $(DOC_OUTPUT)/pdf
	-mkdir -p $(DOC_OUTPUT)/html
	-cp doc/logo.pdf $(DOC_OUTPUT)/pdf/
	-cp doc/logo_small.png $(DOC_OUTPUT)/html/
	OUTPUT="$(DOC_OUTPUT)" doxygen doc/doxygen.conf

=== salsa/Makefile ===
#------------------------------------------------------------------------------
# General Settings
#------------------------------------------------------------------------------

TOPDIR = ..

include $(TOPDIR)/Makefile.defs
include $(TOPDIR)/mf/common.defs

.SUFFIXES: .cpp .o
.PHONY: all install clean


# Directories
EPKDIR   = $(TOPDIR)/epik/utils
EPKINC   = -I$(EPKDIR) 
EPKLIB   = -L$(EPKDIR) -lepk.util 

ELGDIR   = $(TOPDIR)/epik/epilog/base
ELGINC   = -I$(ELGDIR)
ELGLIB   = -L$(ELGDIR) -lelg.base 

PEARLDIR = $(TOPDIR)/pearl
PEARLINC = -I$(PEARLDIR)/base -I$(PEARLDIR)/MPI -I$(PEARLDIR)/replay
PEARLLIB = -L$(PEARLDIR)/base -L$(PEARLDIR)/MPI -L$(PEARLDIR)/replay \
           -lpearl.replay -lpearl.mpi -lpearl.base

BASEDIR  = $(PEARLDIR)/base
BASEINC  = -I$(BASEDIR)
BASELIB  = -L$(BASEDIR) -lpearl.base

# Compile flags
CXXFLAGS += -DPEARL_USE_LIST $(PEARLINC) $(SIONLIB_CFLAGS_SER) $(EPKINC)

# Programs
PROGS = \
	 salsa 




#------------------------------------------------------------------------------
# Rules
#------------------------------------------------------------------------------

all: $(PROGS)

install:
	$(MKDIR) -m 755 $(BINDIR)
	@list='$(PROGS)'; for p in $$list; do \
		echo "$(INSTALL) -c -m 755 $$p $(BINDIR)" ; \
		eval "$(INSTALL) -c -m 755 $$p $(BINDIR)" ; \
	done

clean:
	rm -f $(PROGS)
	rm -f *.o	
	rm -f block*.out
	rm -f *~	


salsa: salsa.o SalsaCallback.o MessageChecker.o SalsaParser.o
	$(MPICXX) $(CXXFLAGS) $(SIONLIB_CFLAGS_MPI) -DPEARL_USE_LIST $(MPIEXTRA) \
		-o $@ $< SalsaCallback.o MessageChecker.o SalsaParser.o \
		$(LDFLAGS) $(PEARLLIB) $(ELGLIB) $(EPKLIB) $(SIONLIB_LIB) \
		$(SZLIB_LIBPATH) $(SZLIB_LIB) $(MPILIB)  \
		$(UTILLIB) $(SFLAG)

.cpp.o: 
	$(MPICXX) $(CXXFLAGS) $(MPIEXTRA) -c $<

MessageChecker.o: MessageChecker.cpp

SalsaParser.o: SalsaParser.cpp

SalsaCallback.o: SalsaCallback.cpp

#------------------------------------------------------------------------------
# Dependencies
#
# Generated by:
#   g++ -MM -I../base -I../../epik/utils pearl_printmap.cpp \
#   | sed -e 's,../base,$(BASEDIR),g' \
#         -e 's,../../epik/utils,$(EPKDIR),g'
#
#   mpicxx -MM -DPEARL_USE_LIST -I../pearl/base -I../pearl/MPI \
#          -I../pearl/replay *.cpp \
#   | sed -e 's,\.\./pearl,$(PEARLDIR),g' \
#         -e 's,LIST/,$(PEARL_DS)/,g'
#------------------------------------------------------------------------------

#pearl_printmap.o: pearl_printmap.cpp $(BASEDIR)/Error.h \
#  $(BASEDIR)/MappingTable.h $(EPKDIR)/elg_types.h \
#  $(BASEDIR)/pearl_types.h

SalsaParser.o: SalsaParser.cpp SalsaParser.h salsa.h
MessageChecker.o: MessageChecker.cpp MessageChecker.h salsa.h \
 $(PEARLDIR)/base/pearl.h $(PEARLDIR)/replay/pearl_replay.h \
 $(PEARLDIR)/base/LocalTrace.h $(PEARLDIR)/base/$(PEARL_DS)/LocalTrace.h \
 $(PEARLDIR)/base/$(PEARL_DS)/Event.h $(PEARLDIR)/base/Event_rep.h \
 $(PEARLDIR)/base/pearl_padding.h $(PEARLDIR)/base/pearl_types.h \
 $(PEARLDIR)/base/SmallObject.h $(PEARLDIR)/base/pearl_types.h \
 $(PEARLDIR)/base/Error.h $(PEARLDIR)/base/Event.h $(PEARLDIR)/base/$(PEARL_DS)/Event.h \
 $(PEARLDIR)/base/GlobalDefs.h $(PEARLDIR)/replay/CallbackManager.h \
 $(PEARLDIR)/replay/Callback.h $(PEARLDIR)/base/CountedPtr.h \
 $(PEARLDIR)/replay/CallbackData.h $(PEARLDIR)/base/Location.h \
 $(PEARLDIR)/base/IdObject.h $(PEARLDIR)/base/Process.h \
 $(PEARLDIR)/base/NamedObject.h $(PEARLDIR)/MPI/MpiMessage.h \
 $(PEARLDIR)/base/Buffer.h $(PEARLDIR)/MPI/MpiComm.h $(PEARLDIR)/MPI/MpiGroup.h \
 $(PEARLDIR)/base/Group.h $(PEARLDIR)/base/RemoteEvent.h \
 $(PEARLDIR)/base/CountedPtr.h $(PEARLDIR)/base/Event_rep.h
SalsaCallback.o: SalsaCallback.cpp SalsaCallback.h salsa.h $(PEARLDIR)/base/pearl.h \
 $(PEARLDIR)/replay/pearl_replay.h $(PEARLDIR)/base/LocalTrace.h \
 $(PEARLDIR)/base/$(PEARL_DS)/LocalTrace.h $(PEARLDIR)/base/$(PEARL_DS)/Event.h \
 $(PEARLDIR)/base/Event_rep.h $(PEARLDIR)/base/pearl_padding.h \
 $(PEARLDIR)/base/pearl_types.h $(PEARLDIR)/base/SmallObject.h \
 $(PEARLDIR)/base/pearl_types.h $(PEARLDIR)/base/Error.h $(PEARLDIR)/base/Event.h \
 $(PEARLDIR)/base/$(PEARL_DS)/Event.h $(PEARLDIR)/base/GlobalDefs.h \
 $(PEARLDIR)/replay/CallbackManager.h $(PEARLDIR)/replay/Callback.h \
 $(PEARLDIR)/base/CountedPtr.h $(PEARLDIR)/replay/CallbackData.h \
 $(PEARLDIR)/base/Location.h $(PEARLDIR)/base/IdObject.h \
 $(PEARLDIR)/base/Process.h $(PEARLDIR)/base/NamedObject.h \
 $(PEARLDIR)/MPI/MpiMessage.h $(PEARLDIR)/base/Buffer.h $(PEARLDIR)/MPI/MpiComm.h \
 $(PEARLDIR)/MPI/MpiGroup.h $(PEARLDIR)/base/Group.h \
 $(PEARLDIR)/base/RemoteEvent.h $(PEARLDIR)/base/CountedPtr.h \
 $(PEARLDIR)/base/Event_rep.h MessageChecker.h
salsa.o: salsa.cpp salsa.h $(PEARLDIR)/base/pearl.h \
 $(PEARLDIR)/replay/pearl_replay.h $(PEARLDIR)/base/LocalTrace.h \
 $(PEARLDIR)/base/$(PEARL_DS)/LocalTrace.h $(PEARLDIR)/base/$(PEARL_DS)/Event.h \
 $(PEARLDIR)/base/Event_rep.h $(PEARLDIR)/base/pearl_padding.h \
 $(PEARLDIR)/base/pearl_types.h $(PEARLDIR)/base/SmallObject.h \
 $(PEARLDIR)/base/pearl_types.h $(PEARLDIR)/base/Error.h $(PEARLDIR)/base/Event.h \
 $(PEARLDIR)/base/$(PEARL_DS)/Event.h $(PEARLDIR)/base/GlobalDefs.h \
 $(PEARLDIR)/replay/CallbackManager.h $(PEARLDIR)/replay/Callback.h \
 $(PEARLDIR)/base/CountedPtr.h $(PEARLDIR)/replay/CallbackData.h \
 $(PEARLDIR)/base/Location.h $(PEARLDIR)/base/IdObject.h \
 $(PEARLDIR)/base/Process.h $(PEARLDIR)/base/NamedObject.h \
 $(PEARLDIR)/MPI/MpiMessage.h $(PEARLDIR)/base/Buffer.h $(PEARLDIR)/MPI/MpiComm.h \
 $(PEARLDIR)/MPI/MpiGroup.h $(PEARLDIR)/base/Group.h \
 $(PEARLDIR)/base/RemoteEvent.h $(PEARLDIR)/base/CountedPtr.h \
 $(PEARLDIR)/base/Event_rep.h MessageChecker.h SalsaCallback.h \
 SalsaParser.h

=== scout/Makefile ===
#------------------------------------------------------------------------------
# General Settings
#------------------------------------------------------------------------------

TOPDIR = ..
DOC_OUTPUT = $(TOPDIR)/doc/scout

include $(TOPDIR)/Makefile.defs
include $(TOPDIR)/mf/common.defs

.PHONY: all install clean doc


# Submodules
MODULES = src doc


#------------------------------------------------------------------------------
# Rules
#------------------------------------------------------------------------------

all:
	@echo
	@echo "************************************************************"
	@echo "*                      Building SCOUT                      *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) all ) || exit ; \
			echo ; \
		fi \
	 done

install:
	@echo
	@echo "************************************************************"
	@echo "*                     Installing SCOUT                     *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) install ) || exit ; \
			echo ; \
		fi \
	 done

clean:
	@echo
	@echo "************************************************************"
	@echo "*                      Cleaning SCOUT                      *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) clean ) || exit ; \
			echo ; \
		fi \
	 done

doc:
	@echo
	@echo "************************************************************"
	@echo "*              Generating SCOUT documentation              *"
	@echo "************************************************************"
	@echo
	-mkdir -p $(DOC_OUTPUT)/../tags
	-mkdir -p $(DOC_OUTPUT)/pdf
	-mkdir -p $(DOC_OUTPUT)/html
	-cp doc/scalasca.pdf $(DOC_OUTPUT)/pdf/
	-cp doc/scalasca.png $(DOC_OUTPUT)/html/
	OUTPUT="$(DOC_OUTPUT)" doxygen doc/doxygen.conf

=== silas/Makefile ===
#------------------------------------------------------------------------------
# General Settings
#------------------------------------------------------------------------------

TOPDIR = ..
DOC_OUTPUT = $(TOPDIR)/doc/silas

include $(TOPDIR)/Makefile.defs
include $(TOPDIR)/mf/common.defs

.PHONY: all install clean doc


# Submodules
MODULES = src doc


#------------------------------------------------------------------------------
# Rules
#------------------------------------------------------------------------------

all:
	@echo
	@echo "************************************************************"
	@echo "*                      Building SILAS                      *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) all ) || exit ; \
			echo ; \
		fi \
	 done

install:
	@echo
	@echo "************************************************************"
	@echo "*                     Installing SILAS                     *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) install ) || exit ; \
			echo ; \
		fi \
	 done

clean:
	@echo
	@echo "************************************************************"
	@echo "*                      Cleaning SILAS                      *"
	@echo "************************************************************"
	@echo
	@list='$(MODULES)' ; \
	 for dir in $$list; do \
		if test -d "$$dir"; then \
			echo "---------- $$dir ----------" ; \
			echo ; \
			( cd $$dir && $(MAKE) clean ) || exit ; \
			echo ; \
		fi \
	 done

doc:
	@echo
	@echo "************************************************************"
	@echo "*              Generating SILAS documentation              *"
	@echo "************************************************************"
	@echo
	-mkdir -p $(DOC_OUTPUT)/../tags
	-mkdir -p $(DOC_OUTPUT)/pdf
	-mkdir -p $(DOC_OUTPUT)/html
	-cp doc/scalasca.pdf $(DOC_OUTPUT)/pdf/
	-cp doc/scalasca.png $(DOC_OUTPUT)/html/
	OUTPUT="$(DOC_OUTPUT)" doxygen doc/doxygen.conf

=== utils/Makefile ===
#------------------------------------------------------------------------------
# General Settings
#------------------------------------------------------------------------------

TOPDIR = ..

include $(TOPDIR)/Makefile.defs
include $(TOPDIR)/mf/common.defs

.PHONY: all install clean


# Submodules
MODULES = $(SZLIB) scalasca stats


#------------------------------------------------------------------------------
# Rules
#------------------------------------------------------------------------------

all:
	@echo ""
	@echo "************************************************************"
	@echo "*                      Building UTILS                      *"
	@echo "************************************************************"
	@for dir in $(MODULES)""; do \
		if test -d "$$dir"; then \
			echo "" ; \
			echo "---------- $$dir ----------" ; \
			echo "" ; \
			( cd $$dir && $(MAKE) all ) || exit ; \
		fi \
	done

install:
	@echo ""
	@echo "************************************************************"
	@echo "*                     Installing UTILS                     *"
	@echo "************************************************************"
	@for dir in $(MODULES)""; do \
		if test -d "$$dir"; then \
			echo "" ; \
			echo "---------- $$dir ----------" ; \
			echo "" ; \
			( cd $$dir && $(MAKE) install ) || exit ; \
		fi \
	done

clean:
	@echo ""
	@echo "************************************************************"
	@echo "*                      Cleaning UTILS                      *"
	@echo "************************************************************"
	@for dir in $(MODULES)""; do \
		if test -d "$$dir"; then \
			echo "" ; \
			echo "---------- $$dir ----------" ; \
			echo "" ; \
			( cd $$dir && $(MAKE) clean ) || exit ; \
		fi \
	done

=== clc/src/Makefile ===
#------------------------------------------------------------------------------
# General Settings
#------------------------------------------------------------------------------

TOPDIR = ../..

include $(TOPDIR)/Makefile.defs
include $(TOPDIR)/mf/common.defs
include $(TOPDIR)/pearl/Makefile.inc

.PHONY: all install clean depend


# Directories & libraries
CFG_DIR = $(TOPDIR)/epik/config
CFG_INC = -I$(CFG_DIR)

EPK_DIR = $(TOPDIR)/epik/utils
EPK_INC = -I$(EPK_DIR)
EPK_LIB = -L$(EPK_DIR) -lepk.util
EPK_DEP = $(EPK_DIR)/libepk.util.a

ESD_DIR = $(TOPDIR)/epik/episode
ESD_INC = -I$(ESD_DIR)

ELG_DIR = $(TOPDIR)/epik/epilog/base
ELG_INC = -I$(ELG_DIR)
ELG_LIB = -L$(ELG_DIR) -lelg.base
ELG_DEP = $(ELG_DIR)/libelg.base.a

PB_DIR  = $(TOPDIR)/pearl/base
PB_INC  = -I$(PB_DIR)
PB_LIB  = -L$(PB_DIR) -lpearl.base
PB_DEP  = $(PB_DIR)/libpearl.base.a

PO_DIR  = $(TOPDIR)/pearl/OMP
PO_LIB  = -L$(PO_DIR) -lpearl.omp
PO_DEP  = $(PO_DIR)/libpearl.omp.a

PM_DIR  = $(TOPDIR)/pearl/MPI
PM_INC  = -I$(PM_DIR)
PM_LIB  = -L$(PM_DIR) -lpearl.mpi
PM_DEP  = $(PM_DIR)/libpearl.mpi.a

PH_DIR  = $(TOPDIR)/pearl/hybrid
PH_LIB  = -L$(PH_DIR) -lpearl.hybrid
PH_DEP  = $(PH_DIR)/libpearl.hybrid.a

PR_DIR  = $(TOPDIR)/pearl/replay
PR_INC  = -I$(PR_DIR)
PR_LIB  = -L$(PR_DIR) -lpearl.replay
PR_DEP  = $(PR_DIR)/libpearl.replay.a

PW_DIR  = $(TOPDIR)/pearl/writer
PW_INC  = -I$(PW_DIR)
PW_LIB  = -L$(PW_DIR) -lpearl.writer
PW_DEP  = $(PW_DIR)/libpearl.writer

COMMONDEP = $(EPK_DEP) $(ELG_DEP) $(PB_DEP) $(PM_DEP) $(PR_DEP)


# Compile flags
CXXFLAGS += -DPEARL_USE_$(PEARL_DS) $(PEARL_DS_INC) \
	     $(MPIEXTRA) \
             -I. $(CFG_INC) $(EPK_INC) $(ESD_INC) $(ELG_INC) \
             $(PB_INC) $(PM_INC) $(PR_INC) $(PW_INC)


# Object files
COMMONOBJS = \
	AmortData.o \
	Clock.o \
	Controller.o \
	Latency.o \
	Network.o \
	Operator.o \
	Predicates.o \
	StatData.o
OBJS = \
	IntervalStat.o \
	RuntimeStat.o \
	Synchronizer.o \
	TimeStat.o \
	Timer.o
MPIOBJS = $(OBJS:.o=.mpi.o)
HYBOBJS = $(OBJS:.o=.hyb.o) OmpData.hyb.o


# Installed header files
USER_HDRS = \
	Synchronizer.h


# Programs & libraries
ifneq ($(MPICXX),)
  PROGRAMS  += clc_synchronize.mpi
#PROGRAMS    += clc_analyze.mpi
  LIBRARIES += libclc.mpi.a
endif
ifneq ($(HYBCXX),)
  PROGRAMS  += clc_synchronize.hyb
#PROGRAMS    += clc_analyze.hyb
  LIBRARIES += libclc.hyb.a
endif


#------------------------------------------------------------------------------
# Rules
#------------------------------------------------------------------------------

all: $(LIBRARIES) $(PROGRAMS)

install: all
ifneq ($(LIBRARIES),)
	$(MKDIR) -m 755 $(LIBDIR)
	@if [ -f libclc.mpi.a ]; then \
		echo "$(INSTALL) -c -m 644 libclc.mpi.a $(LIBDIR)" ; \
		eval "$(INSTALL) -c -m 644 libclc.mpi.a $(LIBDIR)" ; \
	 fi
	@if [ -f libclc.hyb.a ]; then \
		echo "$(INSTALL) -c -m 644 libclc.hyb.a $(LIBDIR)" ; \
		eval "$(INSTALL) -c -m 644 libclc.hyb.a $(LIBDIR)" ; \
	 fi
	$(MKDIR) -m 755 $(INCDIR)/clc
	@list='$(USER_HDRS)' ; \
	 for hdr in $$list; do \
		echo "$(INSTALL) -c -m 644 $$hdr $(INCDIR)/clc" ; \
		eval "$(INSTALL) -c -m 644 $$hdr $(INCDIR)/clc" ; \
	 done
endif
ifneq ($(PROGRAMS),)
	$(MKDIR) -m 755 $(BINDIR)
	@if [ -f clc_synchronize.mpi ]; then \
		echo "$(INSTALL) -c -m 755 clc_synchronize.mpi $(BINDIR)" ; \
		eval "$(INSTALL) -c -m 755 clc_synchronize.mpi $(BINDIR)" ; \
	 fi
	@if [ -f clc_synchronize.hyb ]; then \
		echo "$(INSTALL) -c -m 755 clc_synchronize.hyb $(BINDIR)" ; \
		eval "$(INSTALL) -c -m 755 clc_synchronize.hyb $(BINDIR)" ; \
	 fi
endif

clean:
	rm -f *.o $(LIBRARIES) $(PROGRAMS)

depend:
ifneq ($(CFGKEY),linux-gomp-mpich2)
	@echo "The 'make depend' rule only works in the 'linux-gomp-mpich2'"
	@echo "configuration with the environment variable MPICH2_ROOT set"
	@echo "to the MPICH2 installation directory."
else
	@echo "Generating/updating dependencies"
	@echo "#------------------------------------------------------------------------------" >Makefile.dep
	@echo "# Dependencies" >>Makefile.dep
	@echo "# (automatically generated using 'make depend')" >>Makefile.dep
	@echo "#------------------------------------------------------------------------------" >>Makefile.dep
	@echo >>Makefile.dep
	@$(MPICXX) -DPEARL_USE_LIST -MM \
	       -isystem $$MPICH2_ROOT/include \
               $(CFG_INC) $(EPK_INC) $(ESD_INC) $(ELG_INC) \
	       $(PB_INC) $(PM_INC) $(PR_INC) $(PW_INC) *.cpp \
	 | $(TOPDIR)/utils/build/canonicalize_depends.pl \
	 | sed -e 's,\([a-zA-Z_]*\)\.o:\(.*\),\1.o \1.mpi.o \1.hyb.o:\2,' \
	       -e 's,$(CFG_DIR),$$(CFG_DIR),g' \
	       -e 's,$(EPK_DIR),$$(EPK_DIR),g' \
	       -e 's,$(ESD_DIR),$$(ESD_DIR),g' \
	       -e 's,$(ELG_DIR),$$(ELG_DIR),g' \
	       -e 's,$(PB_DIR),$$(PB_DIR),g' \
	       -e 's,$(PM_DIR),$$(PM_DIR),g' \
	       -e 's,$(PR_DIR),$$(PR_DIR),g' \
	       -e 's,$(PW_DIR),$$(PW_DIR),g' \
               -e 's,LIST/,$$(PEARL_DS)/,g' >>Makefile.dep
endif


%.o: %.cpp
	$(MPICXX) $(CXXFLAGS) -c $< -o $@

%.mpi.o: %.cpp
	$(MPICXX) $(CXXFLAGS) -c $< -o $@

%.hyb.o: %.cpp
	$(HYBCXX) $(HYBFLAG) $(CXXFLAGS) -c $< -o $@

libclc.mpi.a: $(COMMONOBJS) $(MPIOBJS)
	$(C_AR) $(AFLAG) -rcs $@ $(COMMONOBJS) $(MPIOBJS)
	@echo "*** $@ built"

libclc.hyb.a: $(COMMONOBJS) $(HYBOBJS)
	$(C_AR) $(AFLAG) -rcs $@ $(COMMONOBJS) $(HYBOBJS)
	@echo "*** $@ built"

clc_synchronize.mpi: clc_synchronize.mpi.o libclc.mpi.a $(COMMONDEP) \
		$(PW_DEP).mpi.a
	$(MPICXX) $(CXXFLAGS) $(MPIEXTRA) $(LDFLAGS) $(SFLAG) -o $@ $< \
		-L. -lclc.mpi \
		$(PW_LIB).mpi $(PR_LIB) $(PM_LIB) $(PB_LIB) \
		$(ELG_LIB) $(EPK_LIB) \
		$(SZLIB_LIBPATH) $(SZLIB_LIB) $(SIONLIB_LIB) \
		$(MPILIB) $(UTILLIB)

clc_synchronize.hyb: clc_synchronize.hyb.o libclc.hyb.a $(COMMONDEP) \
		$(PO_DEP) $(PH_DEP) $(PW_DEP).hyb.a
	$(HYBCXX) $(HYBFLAG) $(CXXFLAGS) $(MPIEXTRA) $(LDFLAGS) $(SFLAG) -o $@ $< \
		-L. -lclc.hyb \
		$(PW_LIB).hyb $(PR_LIB) $(PH_LIB) $(PM_LIB) $(PO_LIB) $(PB_LIB) \
		$(ELG_LIB) $(EPK_LIB) \
		$(SZLIB_LIBPATH) $(SZLIB_LIB) $(SIONLIB_LIB) \
		$(MPILIB) $(UTILLIB)

clc_analyze.mpi: clc_analyze.mpi.o libclc.mpi.a $(COMMONDEP)
	$(MPICXX) $(CXXFLAGS) $(MPIEXTRA) $(LDFLAGS) $(SFLAG) -o $@ $< \
		-L. -lclc.mpi \
		$(PR_LIB) $(PM_LIB) $(PB_LIB) \
		$(ELG_LIB) $(EPK_LIB) \
		$(SZLIB_LIBPATH) $(SZLIB_LIB) $(SIONLIB_LIB) \
		$(MPILIB) $(UTILLIB)

clc_analyze.hyb: clc_analyze.hyb.o libclc.hyb.a $(COMMONDEP) \
		$(PO_DEP) $(PH_DEP)
	$(HYBCXX) $(HYBFLAG) $(CXXFLAGS) $(MPIEXTRA) $(LDFLAGS) $(SFLAG) -o $@ $< \
		-L. -lclc.hyb \
		$(PR_LIB) $(PH_LIB) $(PM_LIB) $(PO_LIB) $(PB_LIB) \
		$(ELG_LIB) $(EPK_LIB) \
		$(SZLIB_LIBPATH) $(SZLIB_LIB) $(SIONLIB_LIB) \
		$(MPILIB) $(UTILLIB)


#------------------------------------------------------------------------------
# Dependencies
#------------------------------------------------------------------------------

-include Makefile.dep

=== earl-2.0/doc/Makefile ===
#------------------------------------------------------------------------------
# General Settings
#------------------------------------------------------------------------------

TOPDIR = ../..

include $(TOPDIR)/Makefile.defs
include $(TOPDIR)/mf/common.defs

.PHONY: all install clean


# Figures uses in documentation
FIGURES = \
	figures/cluster.pdf \
	figures/event_types.pdf


#-----------------------------------------------------------------------------
# Rules
#-----------------------------------------------------------------------------

all: doc

install:
	$(MKDIR) -m 755 $(DOCDIR)/manuals
	$(INSTALL) -c -m 644 earl.pdf $(DOCDIR)/manuals

clean:
	-rm -f earl.aux earl.bbl earl.blg
	-rm -f earl.log earl.out earl.toc


doc: earl.pdf

earl.pdf: earl.tex $(FIGURES)
	pdflatex  earl.tex
	bibtex earl
	pdflatex  earl.tex
	pdflatex  earl.tex

=== debian/changelog ===
scalasca (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Apr 2013 16:27:15 +0200

scalasca (1.4.2-1) unstable; urgency=low

  * Initial release (Closes: #691137)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Sep 2012 19:32:09 +0200

=== debian/control ===
Source: scalasca
Section: devel
Priority: extra
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, mpi-default-dev,
 binutils-dev, gfortran
Standards-Version: 3.9.3
Homepage: http://www.scalasca.org/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scalasca/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scalasca/trunk/

Package: scalasca
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scalable performance Analysis of Large-Scale parallel Applications
 Tool that supports the performance optimization of parallel programs by
 measuring and analyzing their runtime behavior. The analysis identifies
 potential performance bottlenecks - in particular those concerning
 communication and synchronization - and offers guidance in exploring their
 causes.


Package: scalasca-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scalable performance Analysis of Large-Scale parallel Applications
 Tool that supports the performance optimization of parallel programs by
 measuring and analyzing their runtime behavior. The analysis identifies
 potential performance bottlenecks - in particular those concerning
 communication and synchronization - and offers guidance in exploring their
 causes.
 .
 This package contains examples.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@


override_dh_auto_configure:
	./configure --prefix=$(CURDIR)/debian/tmp/usr/ --disable-zlib --compiler=gnu --mpi=openmpi

override_dh_auto_build:
	make OPTCFLAGS="$$(dpkg-buildflags --get CFLAGS)" OPTCXXXFLAGS="-OX `dpkg-buildflags --get CXXFLAGS`" OPTFFLAGS="`dpkg-buildflags --get FFLAGS`" OPTLDFLAGS="`dpkg-buildflags --get LDFLAGS`" 

override_dh_clean:
	rm -rf build-*
	dh_clean

=== debian/watch ===
version=3
http://www.scalasca.org/download/scalasca/scalasca.html \
.*/scalasca-(.*)\.tar\.gz  debian debian/orig-tar.sh

## scalasca 2.0

=== debian/changelog ===
scalasca (2.0-2) unstable; urgency=low

  * Conflicts with nmh because of the same manpage (Closes: #722931)
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 11 Dec 2013 16:52:06 +0100

scalasca (2.0-1) unstable; urgency=low

  * New upstream release (Closes
  * Make scalasca conflicts with dvb-apps which conflicts on /usr/bin/scan
    (Closes: #704809)
  * scalasca-examples removed
  * hardening flags added
  * manpages added
  * Standards-Version updated to 3.9.4
  * Switch to compat mode 9
  * Fix some typo in the copyright file

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Aug 2013 10:16:40 +0200

=== debian/control ===
Source: scalasca
Section: devel
Priority: extra
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), autotools-dev,
 mpi-default-dev, binutils-dev, gfortran, help2man
Standards-Version: 3.9.5
Homepage: http://www.scalasca.org/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scalasca/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scalasca/trunk/

Package: scalasca
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Conflicts: dvb-apps, nmh
Description: Scalable performance Analysis of Large-Scale parallel Applications
 Tool that supports the performance optimization of parallel programs by
 measuring and analyzing their runtime behavior. The analysis identifies
 potential performance bottlenecks - in particular those concerning
 communication and synchronization - and offers guidance in exploring their
 causes.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@


override_dh_auto_configure:
	./configure --prefix=$(CURDIR)/debian/tmp/usr/ --disable-zlib --with-mpi=openmpi --disable-silent-rules

override_dh_auto_build:
	make OPTCFLAGS="$$(dpkg-buildflags --get CFLAGS)" OPTCXXXFLAGS="-OX `dpkg-buildflags --get CXXFLAGS`" OPTFFLAGS="`dpkg-buildflags --get FFLAGS`" OPTLDFLAGS="`dpkg-buildflags --get LDFLAGS`" V=1

override_dh_auto_install:
	dh_auto_install -v --destdir=/
	rm `find $(CURDIR)/debian/tmp -name '*.la'`

override_dh_installdocs:
	for f in otf2-config otf2-marker otf2-print otf2-snapshots salsa.mpi square; do \
		help2man --no-discard-stderr debian/tmp/usr/bin/$$f > debian/$$f.1; \
	done
	for f in scalasca scan; do \
		help2man --no-discard-stderr --help-option=-h debian/tmp/usr/bin/$$f > debian/$$f.1; \
	done
	dh_installdocs

override_dh_clean:
	rm -rf debian/*.1
	dh_clean

=== debian/watch ===
version=3
http://www.scalasca.org/software/scalasca-2.x/download.html \
.*/scalasca-(.*)\.tar\.gz  debian debian/orig-tar.sh
